Novell eDirectory < 8.7.3 SP10 FTF1 Multiple Vulnerabilities

This script is Copyright (C) 2008-2011 Tenable Network Security, Inc.


Synopsis :

The remote directory service is affected by multiple vulnerabilities.

Description :

The remote host is running eDirectory, a directory service software
from Novell. The installed version of Novell eDirectory is affected
by multiple heap overflows and denial of service vulnerabilities :

- DS module is affected by two heap overflow vulnerabilities
(Bugs 407275, 407256).

- EMBOX module is affected by two denial of service vulnerabilities
(Bugs 407243, 407245).

See also :

http://www.zerodayinitiative.com/advisories/ZDI-08-063
http://www.zerodayinitiative.com/advisories/ZDI-08-064
http://www.zerodayinitiative.com/advisories/ZDI-08-065
http://www.zerodayinitiative.com/advisories/ZDI-08-066
http://www.securityfocus.com/archive/1/497163/30/0/threaded
http://www.securityfocus.com/archive/1/497164/30/0/threaded
http://www.securityfocus.com/archive/1/497165/30/0/threaded
http://www.securityfocus.com/archive/1/497169/30/0/threaded
http://www.novell.com/support/viewContent.do?externalId=3477912

Solution :

Upgrade to eDirectory 8.7.3 SP10 FTF1 or later.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.4
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 34349 (edirectory_873sp10_multiple_vulns.nasl)

Bugtraq ID: 31553

CVE ID: CVE-2008-4478
CVE-2008-4479
CVE-2008-4480